Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » Bring back svnkit16! :-)
Bring back svnkit16! :-) [message #931800] Wed, 03 October 2012 10:36 Go to next message
Peter Nehrer is currently offline Peter Nehrer
Messages: 236
Registered: July 2009
Senior Member
Hi,

the latest Buckminster Subversive headless feature imports svnkit17.
However, that version introduced changes that make it incompatible with
older working copy formats (e.g., I can no longer determine latest
revision from a working copy checked out by an older svn command).

Is there any way to publish a different subversive headless feature that
would import svnkit16? Same as the current feature but with a different
id so that the user can choose at installation time to use the one that
imports svnkit16.

Thanks!
Re: Bring back svnkit16! :-) [message #932927 is a reply to message #931800] Thu, 04 October 2012 11:21 Go to previous messageGo to next message
Matthew Webber is currently offline Matthew Webber
Messages: 198
Registered: December 2010
Senior Member
This problem is not confined to Buckminster Subversive headless. When some of us started using the Eclipse Juno (4.2) IDE, we noticed that Buckminster Subclipse (which we use) requires Subclipse 1.8/SVNKit 1.7, which means it uses a new working copy format (the one used by subversion 1.7). Of course, the svn command line client installed on our machines is 1.6! This means that we canlt use the command line against anything checked out by Buckminster.

If you want an svn 1.6-compatible client, the simplest way is to install the Indigo (3.7) rather than the Juno (4.2) flavour of Buckminster. It works ok for us.

Matthew
Re: Bring back svnkit16! :-) [message #933016 is a reply to message #932927] Thu, 04 October 2012 12:48 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3208
Registered: July 2009
Senior Member
On 2012-10-04 17:21, Matthew Webber wrote:
> This problem is not confined to Buckminster Subversive headless. When some of us started using the Eclipse Juno (4.2)
> IDE, we noticed that Buckminster Subclipse (which we use) requires Subclipse 1.8/SVNKit 1.7, which means it uses a new
> working copy format (the one used by subversion 1.7). Of course, the svn command line client installed on our machines
> is 1.6! This means that we canlt use the command line against anything checked out by Buckminster.
>
> If you want an svn 1.6-compatible client, the simplest way is to install the Indigo (3.7) rather than the Juno (4.2)
> flavour of Buckminster. It works ok for us.
>
> Matthew
>
Makes you wonder though, why the people behind SVN doesn't care about backward compatibility. I just took for granted
that they did.

Git anyone?

- thomas
Re: Bring back svnkit16! :-) [message #933023 is a reply to message #933016] Thu, 04 October 2012 12:55 Go to previous messageGo to next message
Henrik Lindberg is currently offline Henrik Lindberg
Messages: 2492
Registered: July 2009
Senior Member
On 2012-04-10 18:48, Thomas Hallgren wrote:
> On 2012-10-04 17:21, Matthew Webber wrote:
>> This problem is not confined to Buckminster Subversive headless. When
>> some of us started using the Eclipse Juno (4.2)
>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>> working copy format (the one used by subversion 1.7). Of course, the
>> svn command line client installed on our machines
>> is 1.6! This means that we canlt use the command line against anything
>> checked out by Buckminster.
>>
>> If you want an svn 1.6-compatible client, the simplest way is to
>> install the Indigo (3.7) rather than the Juno (4.2)
>> flavour of Buckminster. It works ok for us.
>>
>> Matthew
>>
> Makes you wonder though, why the people behind SVN doesn't care about
> backward compatibility. I just took for granted that they did.
>
> Git anyone?
>
> - thomas
>

SVN kills from the other side of the grave...

So glad I am no longer using SVN - constant source of pain and grief.

For the poor souls that still do, can they drop just the buckminster
bundle requiring svnkit17 and install the older SVN support? (My guess
is that won't work, and they are then stuck with an older Buckminster).

- henrik
Re: Bring back svnkit16! :-) [message #933418 is a reply to message #933023] Thu, 04 October 2012 22:08 Go to previous messageGo to next message
Peter Nehrer is currently offline Peter Nehrer
Messages: 236
Registered: July 2009
Senior Member
Would it be possible to add a feature like the attached? Installing this
new feature instead of the standard headless subversive support seems to
do the trick for me. I can create a bugzilla if there's any interest.
Thanks!

On 10/4/12 12:55 PM, Henrik Lindberg wrote:
> On 2012-04-10 18:48, Thomas Hallgren wrote:
>> On 2012-10-04 17:21, Matthew Webber wrote:
>>> This problem is not confined to Buckminster Subversive headless. When
>>> some of us started using the Eclipse Juno (4.2)
>>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>>> working copy format (the one used by subversion 1.7). Of course, the
>>> svn command line client installed on our machines
>>> is 1.6! This means that we canlt use the command line against anything
>>> checked out by Buckminster.
>>>
>>> If you want an svn 1.6-compatible client, the simplest way is to
>>> install the Indigo (3.7) rather than the Juno (4.2)
>>> flavour of Buckminster. It works ok for us.
>>>
>>> Matthew
>>>
>> Makes you wonder though, why the people behind SVN doesn't care about
>> backward compatibility. I just took for granted that they did.
>>
>> Git anyone?
>>
>> - thomas
>>
>
> SVN kills from the other side of the grave...
>
> So glad I am no longer using SVN - constant source of pain and grief.
>
> For the poor souls that still do, can they drop just the buckminster
> bundle requiring svnkit17 and install the older SVN support? (My guess
> is that won't work, and they are then stuck with an older Buckminster).
>
> - henrik
>


### Eclipse Workspace Patch 1.0
#P org.eclipse.buckminster.site.external
diff --git feature.xml feature.xml
index 3ae27ca..7cdfe7e 100644
--- feature.xml
+++ feature.xml
@@ -25,6 +25,10 @@
id="org.eclipse.buckminster.subversive.headless.feature"
version="0.0.0"/>

+ <includes
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ version="0.0.0"/>
+
<plugin
id="org.tigris.subversion.subclipse.core"
download-size="0"
@@ -47,6 +51,13 @@
unpack="false"/>

<plugin
+ id="org.polarion.eclipse.team.svn.connector.svnkit16"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
id="org.polarion.eclipse.team.svn.connector.svnkit17"
download-size="0"
install-size="0"
#P org.eclipse.buckminster.subversive.svnkit16.headless.feature
diff --git .project .project
new file mode 100644
index 0000000..a39fdec
--- /dev/null
+++ .project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.buckminster.subversive.svnkit16.headless.feature</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ </natures>
+</projectDescription>
diff --git build.properties build.properties
new file mode 100644
index 0000000..64f93a9
--- /dev/null
+++ build.properties
@@ -0,0 +1 @@
+bin.includes = feature.xml
diff --git feature.properties feature.properties
new file mode 100644
index 0000000..c259703
--- /dev/null
+++ feature.properties
@@ -0,0 +1,19 @@
+###############################################################################
+# Copyright (c) 2006-2010, Cloudsmith Inc.
+# Copyright (c) 2012 Ecliptical Software Inc.
+# The code, documentation and other materials contained herein have been
+# licensed under the Eclipse Public License - v 1.0 by the copyright holder
+# listed above, as the Initial Contributor under such license. The text of
+# such license is available at www.eclipse.org.
+###############################################################################
+# feature.properties
+# contains externalized strings for feature.xml
+# "%foo" in feature.xml corresponds to the key "foo" in this file
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# This file should be translated.
+
+# "featureName" property - name of the feature
+featureName=Buckminster - Headless Subversive support for SVNKit 1.6
+
+# "description" property - description of the feature
+description=Provides Headless Subversion integration for Buckminster using the Subversive using SVNKit 1.6
diff --git feature.xml feature.xml
new file mode 100644
index 0000000..2587823
--- /dev/null
+++ feature.xml
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ label="%featureName"
+ version="1.5.0.qualifier"
+ provider-name="%providerName"
+ license-feature="org.eclipse.buckminster.license.feature"
+ license-feature-version="1.0.0.qualifier">
+
+ <description>
+ %description
+ </description>
+
+ <copyright>
+ %copyright
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <requires>
+ <import plugin="org.eclipse.team.svn.core"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector.svnkit16"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.buckminster.subversive"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.buckminster.subversion"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>
\ No newline at end of file
Re: Bring back svnkit16! :-) [message #933422 is a reply to message #933023] Thu, 04 October 2012 22:08 Go to previous messageGo to next message
Peter Nehrer is currently offline Peter Nehrer
Messages: 236
Registered: July 2009
Senior Member
Would it be possible to add a feature like the attached? Installing this
new feature instead of the standard headless subversive support seems to
do the trick for me. I can create a bugzilla if there's any interest.
Thanks!

On 10/4/12 12:55 PM, Henrik Lindberg wrote:
> On 2012-04-10 18:48, Thomas Hallgren wrote:
>> On 2012-10-04 17:21, Matthew Webber wrote:
>>> This problem is not confined to Buckminster Subversive headless. When
>>> some of us started using the Eclipse Juno (4.2)
>>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>>> working copy format (the one used by subversion 1.7). Of course, the
>>> svn command line client installed on our machines
>>> is 1.6! This means that we canlt use the command line against anything
>>> checked out by Buckminster.
>>>
>>> If you want an svn 1.6-compatible client, the simplest way is to
>>> install the Indigo (3.7) rather than the Juno (4.2)
>>> flavour of Buckminster. It works ok for us.
>>>
>>> Matthew
>>>
>> Makes you wonder though, why the people behind SVN doesn't care about
>> backward compatibility. I just took for granted that they did.
>>
>> Git anyone?
>>
>> - thomas
>>
>
> SVN kills from the other side of the grave...
>
> So glad I am no longer using SVN - constant source of pain and grief.
>
> For the poor souls that still do, can they drop just the buckminster
> bundle requiring svnkit17 and install the older SVN support? (My guess
> is that won't work, and they are then stuck with an older Buckminster).
>
> - henrik
>


### Eclipse Workspace Patch 1.0
#P org.eclipse.buckminster.site.external
diff --git feature.xml feature.xml
index 3ae27ca..7cdfe7e 100644
--- feature.xml
+++ feature.xml
@@ -25,6 +25,10 @@
id="org.eclipse.buckminster.subversive.headless.feature"
version="0.0.0"/>

+ <includes
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ version="0.0.0"/>
+
<plugin
id="org.tigris.subversion.subclipse.core"
download-size="0"
@@ -47,6 +51,13 @@
unpack="false"/>

<plugin
+ id="org.polarion.eclipse.team.svn.connector.svnkit16"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
id="org.polarion.eclipse.team.svn.connector.svnkit17"
download-size="0"
install-size="0"
#P org.eclipse.buckminster.subversive.svnkit16.headless.feature
diff --git .project .project
new file mode 100644
index 0000000..a39fdec
--- /dev/null
+++ .project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.buckminster.subversive.svnkit16.headless.feature</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ </natures>
+</projectDescription>
diff --git build.properties build.properties
new file mode 100644
index 0000000..64f93a9
--- /dev/null
+++ build.properties
@@ -0,0 +1 @@
+bin.includes = feature.xml
diff --git feature.properties feature.properties
new file mode 100644
index 0000000..c259703
--- /dev/null
+++ feature.properties
@@ -0,0 +1,19 @@
+###############################################################################
+# Copyright (c) 2006-2010, Cloudsmith Inc.
+# Copyright (c) 2012 Ecliptical Software Inc.
+# The code, documentation and other materials contained herein have been
+# licensed under the Eclipse Public License - v 1.0 by the copyright holder
+# listed above, as the Initial Contributor under such license. The text of
+# such license is available at www.eclipse.org.
+###############################################################################
+# feature.properties
+# contains externalized strings for feature.xml
+# "%foo" in feature.xml corresponds to the key "foo" in this file
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# This file should be translated.
+
+# "featureName" property - name of the feature
+featureName=Buckminster - Headless Subversive support for SVNKit 1.6
+
+# "description" property - description of the feature
+description=Provides Headless Subversion integration for Buckminster using the Subversive using SVNKit 1.6
diff --git feature.xml feature.xml
new file mode 100644
index 0000000..2587823
--- /dev/null
+++ feature.xml
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ label="%featureName"
+ version="1.5.0.qualifier"
+ provider-name="%providerName"
+ license-feature="org.eclipse.buckminster.license.feature"
+ license-feature-version="1.0.0.qualifier">
+
+ <description>
+ %description
+ </description>
+
+ <copyright>
+ %copyright
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <requires>
+ <import plugin="org.eclipse.team.svn.core"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector.svnkit16"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.buckminster.subversive"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.buckminster.subversion"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>
\ No newline at end of file
Re: Bring back svnkit16! :-) [message #933426 is a reply to message #933023] Thu, 04 October 2012 22:08 Go to previous messageGo to next message
Peter Nehrer is currently offline Peter Nehrer
Messages: 236
Registered: July 2009
Senior Member
Would it be possible to add a feature like the attached? Installing this
new feature instead of the standard headless subversive support seems to
do the trick for me. I can create a bugzilla if there's any interest.
Thanks!

On 10/4/12 12:55 PM, Henrik Lindberg wrote:
> On 2012-04-10 18:48, Thomas Hallgren wrote:
>> On 2012-10-04 17:21, Matthew Webber wrote:
>>> This problem is not confined to Buckminster Subversive headless. When
>>> some of us started using the Eclipse Juno (4.2)
>>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>>> working copy format (the one used by subversion 1.7). Of course, the
>>> svn command line client installed on our machines
>>> is 1.6! This means that we canlt use the command line against anything
>>> checked out by Buckminster.
>>>
>>> If you want an svn 1.6-compatible client, the simplest way is to
>>> install the Indigo (3.7) rather than the Juno (4.2)
>>> flavour of Buckminster. It works ok for us.
>>>
>>> Matthew
>>>
>> Makes you wonder though, why the people behind SVN doesn't care about
>> backward compatibility. I just took for granted that they did.
>>
>> Git anyone?
>>
>> - thomas
>>
>
> SVN kills from the other side of the grave...
>
> So glad I am no longer using SVN - constant source of pain and grief.
>
> For the poor souls that still do, can they drop just the buckminster
> bundle requiring svnkit17 and install the older SVN support? (My guess
> is that won't work, and they are then stuck with an older Buckminster).
>
> - henrik
>


### Eclipse Workspace Patch 1.0
#P org.eclipse.buckminster.site.external
diff --git feature.xml feature.xml
index 3ae27ca..7cdfe7e 100644
--- feature.xml
+++ feature.xml
@@ -25,6 +25,10 @@
id="org.eclipse.buckminster.subversive.headless.feature"
version="0.0.0"/>

+ <includes
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ version="0.0.0"/>
+
<plugin
id="org.tigris.subversion.subclipse.core"
download-size="0"
@@ -47,6 +51,13 @@
unpack="false"/>

<plugin
+ id="org.polarion.eclipse.team.svn.connector.svnkit16"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
id="org.polarion.eclipse.team.svn.connector.svnkit17"
download-size="0"
install-size="0"
#P org.eclipse.buckminster.subversive.svnkit16.headless.feature
diff --git .project .project
new file mode 100644
index 0000000..a39fdec
--- /dev/null
+++ .project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.buckminster.subversive.svnkit16.headless.feature</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ </natures>
+</projectDescription>
diff --git build.properties build.properties
new file mode 100644
index 0000000..64f93a9
--- /dev/null
+++ build.properties
@@ -0,0 +1 @@
+bin.includes = feature.xml
diff --git feature.properties feature.properties
new file mode 100644
index 0000000..c259703
--- /dev/null
+++ feature.properties
@@ -0,0 +1,19 @@
+###############################################################################
+# Copyright (c) 2006-2010, Cloudsmith Inc.
+# Copyright (c) 2012 Ecliptical Software Inc.
+# The code, documentation and other materials contained herein have been
+# licensed under the Eclipse Public License - v 1.0 by the copyright holder
+# listed above, as the Initial Contributor under such license. The text of
+# such license is available at www.eclipse.org.
+###############################################################################
+# feature.properties
+# contains externalized strings for feature.xml
+# "%foo" in feature.xml corresponds to the key "foo" in this file
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# This file should be translated.
+
+# "featureName" property - name of the feature
+featureName=Buckminster - Headless Subversive support for SVNKit 1.6
+
+# "description" property - description of the feature
+description=Provides Headless Subversion integration for Buckminster using the Subversive using SVNKit 1.6
diff --git feature.xml feature.xml
new file mode 100644
index 0000000..2587823
--- /dev/null
+++ feature.xml
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ label="%featureName"
+ version="1.5.0.qualifier"
+ provider-name="%providerName"
+ license-feature="org.eclipse.buckminster.license.feature"
+ license-feature-version="1.0.0.qualifier">
+
+ <description>
+ %description
+ </description>
+
+ <copyright>
+ %copyright
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <requires>
+ <import plugin="org.eclipse.team.svn.core"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector.svnkit16"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.buckminster.subversive"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.buckminster.subversion"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>
\ No newline at end of file
Re: Bring back svnkit16! :-) [message #933430 is a reply to message #933023] Thu, 04 October 2012 22:08 Go to previous messageGo to next message
Peter Nehrer is currently offline Peter Nehrer
Messages: 236
Registered: July 2009
Senior Member
Would it be possible to add a feature like the attached? Installing this
new feature instead of the standard headless subversive support seems to
do the trick for me. I can create a bugzilla if there's any interest.
Thanks!

On 10/4/12 12:55 PM, Henrik Lindberg wrote:
> On 2012-04-10 18:48, Thomas Hallgren wrote:
>> On 2012-10-04 17:21, Matthew Webber wrote:
>>> This problem is not confined to Buckminster Subversive headless. When
>>> some of us started using the Eclipse Juno (4.2)
>>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>>> working copy format (the one used by subversion 1.7). Of course, the
>>> svn command line client installed on our machines
>>> is 1.6! This means that we canlt use the command line against anything
>>> checked out by Buckminster.
>>>
>>> If you want an svn 1.6-compatible client, the simplest way is to
>>> install the Indigo (3.7) rather than the Juno (4.2)
>>> flavour of Buckminster. It works ok for us.
>>>
>>> Matthew
>>>
>> Makes you wonder though, why the people behind SVN doesn't care about
>> backward compatibility. I just took for granted that they did.
>>
>> Git anyone?
>>
>> - thomas
>>
>
> SVN kills from the other side of the grave...
>
> So glad I am no longer using SVN - constant source of pain and grief.
>
> For the poor souls that still do, can they drop just the buckminster
> bundle requiring svnkit17 and install the older SVN support? (My guess
> is that won't work, and they are then stuck with an older Buckminster).
>
> - henrik
>


### Eclipse Workspace Patch 1.0
#P org.eclipse.buckminster.site.external
diff --git feature.xml feature.xml
index 3ae27ca..7cdfe7e 100644
--- feature.xml
+++ feature.xml
@@ -25,6 +25,10 @@
id="org.eclipse.buckminster.subversive.headless.feature"
version="0.0.0"/>

+ <includes
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ version="0.0.0"/>
+
<plugin
id="org.tigris.subversion.subclipse.core"
download-size="0"
@@ -47,6 +51,13 @@
unpack="false"/>

<plugin
+ id="org.polarion.eclipse.team.svn.connector.svnkit16"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
id="org.polarion.eclipse.team.svn.connector.svnkit17"
download-size="0"
install-size="0"
#P org.eclipse.buckminster.subversive.svnkit16.headless.feature
diff --git .project .project
new file mode 100644
index 0000000..a39fdec
--- /dev/null
+++ .project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.buckminster.subversive.svnkit16.headless.feature</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ </natures>
+</projectDescription>
diff --git build.properties build.properties
new file mode 100644
index 0000000..64f93a9
--- /dev/null
+++ build.properties
@@ -0,0 +1 @@
+bin.includes = feature.xml
diff --git feature.properties feature.properties
new file mode 100644
index 0000000..c259703
--- /dev/null
+++ feature.properties
@@ -0,0 +1,19 @@
+###############################################################################
+# Copyright (c) 2006-2010, Cloudsmith Inc.
+# Copyright (c) 2012 Ecliptical Software Inc.
+# The code, documentation and other materials contained herein have been
+# licensed under the Eclipse Public License - v 1.0 by the copyright holder
+# listed above, as the Initial Contributor under such license. The text of
+# such license is available at www.eclipse.org.
+###############################################################################
+# feature.properties
+# contains externalized strings for feature.xml
+# "%foo" in feature.xml corresponds to the key "foo" in this file
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# This file should be translated.
+
+# "featureName" property - name of the feature
+featureName=Buckminster - Headless Subversive support for SVNKit 1.6
+
+# "description" property - description of the feature
+description=Provides Headless Subversion integration for Buckminster using the Subversive using SVNKit 1.6
diff --git feature.xml feature.xml
new file mode 100644
index 0000000..2587823
--- /dev/null
+++ feature.xml
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ label="%featureName"
+ version="1.5.0.qualifier"
+ provider-name="%providerName"
+ license-feature="org.eclipse.buckminster.license.feature"
+ license-feature-version="1.0.0.qualifier">
+
+ <description>
+ %description
+ </description>
+
+ <copyright>
+ %copyright
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <requires>
+ <import plugin="org.eclipse.team.svn.core"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector.svnkit16"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.buckminster.subversive"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.buckminster.subversion"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>
\ No newline at end of file
Re: Bring back svnkit16! :-) [message #933434 is a reply to message #933023] Thu, 04 October 2012 22:08 Go to previous messageGo to next message
Peter Nehrer is currently offline Peter Nehrer
Messages: 236
Registered: July 2009
Senior Member
Would it be possible to add a feature like the attached? Installing this
new feature instead of the standard headless subversive support seems to
do the trick for me. I can create a bugzilla if there's any interest.
Thanks!

On 10/4/12 12:55 PM, Henrik Lindberg wrote:
> On 2012-04-10 18:48, Thomas Hallgren wrote:
>> On 2012-10-04 17:21, Matthew Webber wrote:
>>> This problem is not confined to Buckminster Subversive headless. When
>>> some of us started using the Eclipse Juno (4.2)
>>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>>> working copy format (the one used by subversion 1.7). Of course, the
>>> svn command line client installed on our machines
>>> is 1.6! This means that we canlt use the command line against anything
>>> checked out by Buckminster.
>>>
>>> If you want an svn 1.6-compatible client, the simplest way is to
>>> install the Indigo (3.7) rather than the Juno (4.2)
>>> flavour of Buckminster. It works ok for us.
>>>
>>> Matthew
>>>
>> Makes you wonder though, why the people behind SVN doesn't care about
>> backward compatibility. I just took for granted that they did.
>>
>> Git anyone?
>>
>> - thomas
>>
>
> SVN kills from the other side of the grave...
>
> So glad I am no longer using SVN - constant source of pain and grief.
>
> For the poor souls that still do, can they drop just the buckminster
> bundle requiring svnkit17 and install the older SVN support? (My guess
> is that won't work, and they are then stuck with an older Buckminster).
>
> - henrik
>


### Eclipse Workspace Patch 1.0
#P org.eclipse.buckminster.site.external
diff --git feature.xml feature.xml
index 3ae27ca..7cdfe7e 100644
--- feature.xml
+++ feature.xml
@@ -25,6 +25,10 @@
id="org.eclipse.buckminster.subversive.headless.feature"
version="0.0.0"/>

+ <includes
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ version="0.0.0"/>
+
<plugin
id="org.tigris.subversion.subclipse.core"
download-size="0"
@@ -47,6 +51,13 @@
unpack="false"/>

<plugin
+ id="org.polarion.eclipse.team.svn.connector.svnkit16"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
id="org.polarion.eclipse.team.svn.connector.svnkit17"
download-size="0"
install-size="0"
#P org.eclipse.buckminster.subversive.svnkit16.headless.feature
diff --git .project .project
new file mode 100644
index 0000000..a39fdec
--- /dev/null
+++ .project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.buckminster.subversive.svnkit16.headless.feature</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ </natures>
+</projectDescription>
diff --git build.properties build.properties
new file mode 100644
index 0000000..64f93a9
--- /dev/null
+++ build.properties
@@ -0,0 +1 @@
+bin.includes = feature.xml
diff --git feature.properties feature.properties
new file mode 100644
index 0000000..c259703
--- /dev/null
+++ feature.properties
@@ -0,0 +1,19 @@
+###############################################################################
+# Copyright (c) 2006-2010, Cloudsmith Inc.
+# Copyright (c) 2012 Ecliptical Software Inc.
+# The code, documentation and other materials contained herein have been
+# licensed under the Eclipse Public License - v 1.0 by the copyright holder
+# listed above, as the Initial Contributor under such license. The text of
+# such license is available at www.eclipse.org.
+###############################################################################
+# feature.properties
+# contains externalized strings for feature.xml
+# "%foo" in feature.xml corresponds to the key "foo" in this file
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# This file should be translated.
+
+# "featureName" property - name of the feature
+featureName=Buckminster - Headless Subversive support for SVNKit 1.6
+
+# "description" property - description of the feature
+description=Provides Headless Subversion integration for Buckminster using the Subversive using SVNKit 1.6
diff --git feature.xml feature.xml
new file mode 100644
index 0000000..2587823
--- /dev/null
+++ feature.xml
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ label="%featureName"
+ version="1.5.0.qualifier"
+ provider-name="%providerName"
+ license-feature="org.eclipse.buckminster.license.feature"
+ license-feature-version="1.0.0.qualifier">
+
+ <description>
+ %description
+ </description>
+
+ <copyright>
+ %copyright
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <requires>
+ <import plugin="org.eclipse.team.svn.core"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector.svnkit16"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.buckminster.subversive"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.buckminster.subversion"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>
\ No newline at end of file
Re: Bring back svnkit16! :-) [message #933438 is a reply to message #933023] Thu, 04 October 2012 22:08 Go to previous messageGo to next message
Peter Nehrer is currently offline Peter Nehrer
Messages: 236
Registered: July 2009
Senior Member
Would it be possible to add a feature like the attached? Installing this
new feature instead of the standard headless subversive support seems to
do the trick for me. I can create a bugzilla if there's any interest.
Thanks!

On 10/4/12 12:55 PM, Henrik Lindberg wrote:
> On 2012-04-10 18:48, Thomas Hallgren wrote:
>> On 2012-10-04 17:21, Matthew Webber wrote:
>>> This problem is not confined to Buckminster Subversive headless. When
>>> some of us started using the Eclipse Juno (4.2)
>>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>>> working copy format (the one used by subversion 1.7). Of course, the
>>> svn command line client installed on our machines
>>> is 1.6! This means that we canlt use the command line against anything
>>> checked out by Buckminster.
>>>
>>> If you want an svn 1.6-compatible client, the simplest way is to
>>> install the Indigo (3.7) rather than the Juno (4.2)
>>> flavour of Buckminster. It works ok for us.
>>>
>>> Matthew
>>>
>> Makes you wonder though, why the people behind SVN doesn't care about
>> backward compatibility. I just took for granted that they did.
>>
>> Git anyone?
>>
>> - thomas
>>
>
> SVN kills from the other side of the grave...
>
> So glad I am no longer using SVN - constant source of pain and grief.
>
> For the poor souls that still do, can they drop just the buckminster
> bundle requiring svnkit17 and install the older SVN support? (My guess
> is that won't work, and they are then stuck with an older Buckminster).
>
> - henrik
>


### Eclipse Workspace Patch 1.0
#P org.eclipse.buckminster.site.external
diff --git feature.xml feature.xml
index 3ae27ca..7cdfe7e 100644
--- feature.xml
+++ feature.xml
@@ -25,6 +25,10 @@
id="org.eclipse.buckminster.subversive.headless.feature"
version="0.0.0"/>

+ <includes
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ version="0.0.0"/>
+
<plugin
id="org.tigris.subversion.subclipse.core"
download-size="0"
@@ -47,6 +51,13 @@
unpack="false"/>

<plugin
+ id="org.polarion.eclipse.team.svn.connector.svnkit16"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
id="org.polarion.eclipse.team.svn.connector.svnkit17"
download-size="0"
install-size="0"
#P org.eclipse.buckminster.subversive.svnkit16.headless.feature
diff --git .project .project
new file mode 100644
index 0000000..a39fdec
--- /dev/null
+++ .project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.buckminster.subversive.svnkit16.headless.feature</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ </natures>
+</projectDescription>
diff --git build.properties build.properties
new file mode 100644
index 0000000..64f93a9
--- /dev/null
+++ build.properties
@@ -0,0 +1 @@
+bin.includes = feature.xml
diff --git feature.properties feature.properties
new file mode 100644
index 0000000..c259703
--- /dev/null
+++ feature.properties
@@ -0,0 +1,19 @@
+###############################################################################
+# Copyright (c) 2006-2010, Cloudsmith Inc.
+# Copyright (c) 2012 Ecliptical Software Inc.
+# The code, documentation and other materials contained herein have been
+# licensed under the Eclipse Public License - v 1.0 by the copyright holder
+# listed above, as the Initial Contributor under such license. The text of
+# such license is available at www.eclipse.org.
+###############################################################################
+# feature.properties
+# contains externalized strings for feature.xml
+# "%foo" in feature.xml corresponds to the key "foo" in this file
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# This file should be translated.
+
+# "featureName" property - name of the feature
+featureName=Buckminster - Headless Subversive support for SVNKit 1.6
+
+# "description" property - description of the feature
+description=Provides Headless Subversion integration for Buckminster using the Subversive using SVNKit 1.6
diff --git feature.xml feature.xml
new file mode 100644
index 0000000..2587823
--- /dev/null
+++ feature.xml
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ label="%featureName"
+ version="1.5.0.qualifier"
+ provider-name="%providerName"
+ license-feature="org.eclipse.buckminster.license.feature"
+ license-feature-version="1.0.0.qualifier">
+
+ <description>
+ %description
+ </description>
+
+ <copyright>
+ %copyright
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <requires>
+ <import plugin="org.eclipse.team.svn.core"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector.svnkit16"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.buckminster.subversive"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.buckminster.subversion"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>
\ No newline at end of file
Re: Bring back svnkit16! :-) [message #933442 is a reply to message #933023] Thu, 04 October 2012 22:08 Go to previous messageGo to next message
Peter Nehrer is currently offline Peter Nehrer
Messages: 236
Registered: July 2009
Senior Member
Would it be possible to add a feature like the attached? Installing this
new feature instead of the standard headless subversive support seems to
do the trick for me. I can create a bugzilla if there's any interest.
Thanks!

On 10/4/12 12:55 PM, Henrik Lindberg wrote:
> On 2012-04-10 18:48, Thomas Hallgren wrote:
>> On 2012-10-04 17:21, Matthew Webber wrote:
>>> This problem is not confined to Buckminster Subversive headless. When
>>> some of us started using the Eclipse Juno (4.2)
>>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>>> working copy format (the one used by subversion 1.7). Of course, the
>>> svn command line client installed on our machines
>>> is 1.6! This means that we canlt use the command line against anything
>>> checked out by Buckminster.
>>>
>>> If you want an svn 1.6-compatible client, the simplest way is to
>>> install the Indigo (3.7) rather than the Juno (4.2)
>>> flavour of Buckminster. It works ok for us.
>>>
>>> Matthew
>>>
>> Makes you wonder though, why the people behind SVN doesn't care about
>> backward compatibility. I just took for granted that they did.
>>
>> Git anyone?
>>
>> - thomas
>>
>
> SVN kills from the other side of the grave...
>
> So glad I am no longer using SVN - constant source of pain and grief.
>
> For the poor souls that still do, can they drop just the buckminster
> bundle requiring svnkit17 and install the older SVN support? (My guess
> is that won't work, and they are then stuck with an older Buckminster).
>
> - henrik
>


### Eclipse Workspace Patch 1.0
#P org.eclipse.buckminster.site.external
diff --git feature.xml feature.xml
index 3ae27ca..7cdfe7e 100644
--- feature.xml
+++ feature.xml
@@ -25,6 +25,10 @@
id="org.eclipse.buckminster.subversive.headless.feature"
version="0.0.0"/>

+ <includes
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ version="0.0.0"/>
+
<plugin
id="org.tigris.subversion.subclipse.core"
download-size="0"
@@ -47,6 +51,13 @@
unpack="false"/>

<plugin
+ id="org.polarion.eclipse.team.svn.connector.svnkit16"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
id="org.polarion.eclipse.team.svn.connector.svnkit17"
download-size="0"
install-size="0"
#P org.eclipse.buckminster.subversive.svnkit16.headless.feature
diff --git .project .project
new file mode 100644
index 0000000..a39fdec
--- /dev/null
+++ .project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.buckminster.subversive.svnkit16.headless.feature</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ </natures>
+</projectDescription>
diff --git build.properties build.properties
new file mode 100644
index 0000000..64f93a9
--- /dev/null
+++ build.properties
@@ -0,0 +1 @@
+bin.includes = feature.xml
diff --git feature.properties feature.properties
new file mode 100644
index 0000000..c259703
--- /dev/null
+++ feature.properties
@@ -0,0 +1,19 @@
+###############################################################################
+# Copyright (c) 2006-2010, Cloudsmith Inc.
+# Copyright (c) 2012 Ecliptical Software Inc.
+# The code, documentation and other materials contained herein have been
+# licensed under the Eclipse Public License - v 1.0 by the copyright holder
+# listed above, as the Initial Contributor under such license. The text of
+# such license is available at www.eclipse.org.
+###############################################################################
+# feature.properties
+# contains externalized strings for feature.xml
+# "%foo" in feature.xml corresponds to the key "foo" in this file
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# This file should be translated.
+
+# "featureName" property - name of the feature
+featureName=Buckminster - Headless Subversive support for SVNKit 1.6
+
+# "description" property - description of the feature
+description=Provides Headless Subversion integration for Buckminster using the Subversive using SVNKit 1.6
diff --git feature.xml feature.xml
new file mode 100644
index 0000000..2587823
--- /dev/null
+++ feature.xml
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.buckminster.subversive.svnkit16.headless.feature"
+ label="%featureName"
+ version="1.5.0.qualifier"
+ provider-name="%providerName"
+ license-feature="org.eclipse.buckminster.license.feature"
+ license-feature-version="1.0.0.qualifier">
+
+ <description>
+ %description
+ </description>
+
+ <copyright>
+ %copyright
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <requires>
+ <import plugin="org.eclipse.team.svn.core"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector.svnkit16"/>
+ <import plugin="org.polarion.eclipse.team.svn.connector"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.buckminster.subversive"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.buckminster.subversion"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>
\ No newline at end of file
Re: Bring back svnkit16! :-) [message #933472 is a reply to message #933418] Thu, 04 October 2012 23:23 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3208
Registered: July 2009
Senior Member
Hi Peter,

Yes, please attach this to a bugzilla. It seems like a good solution.

Thanks,
- thomas

On 2012-10-05 04:08, Peter Nehrer wrote:
> Would it be possible to add a feature like the attached? Installing this new feature instead of the standard headless
> subversive support seems to do the trick for me. I can create a bugzilla if there's any interest. Thanks!
>
> On 10/4/12 12:55 PM, Henrik Lindberg wrote:
>> On 2012-04-10 18:48, Thomas Hallgren wrote:
>>> On 2012-10-04 17:21, Matthew Webber wrote:
>>>> This problem is not confined to Buckminster Subversive headless. When
>>>> some of us started using the Eclipse Juno (4.2)
>>>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>>>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>>>> working copy format (the one used by subversion 1.7). Of course, the
>>>> svn command line client installed on our machines
>>>> is 1.6! This means that we canlt use the command line against anything
>>>> checked out by Buckminster.
>>>>
>>>> If you want an svn 1.6-compatible client, the simplest way is to
>>>> install the Indigo (3.7) rather than the Juno (4.2)
>>>> flavour of Buckminster. It works ok for us.
>>>>
>>>> Matthew
>>>>
>>> Makes you wonder though, why the people behind SVN doesn't care about
>>> backward compatibility. I just took for granted that they did.
>>>
>>> Git anyone?
>>>
>>> - thomas
>>>
>>
>> SVN kills from the other side of the grave...
>>
>> So glad I am no longer using SVN - constant source of pain and grief.
>>
>> For the poor souls that still do, can they drop just the buckminster
>> bundle requiring svnkit17 and install the older SVN support? (My guess
>> is that won't work, and they are then stuck with an older Buckminster).
>>
>> - henrik
>>
>
Re: Bring back svnkit16! :-) [message #933921 is a reply to message #933472] Fri, 05 October 2012 09:09 Go to previous messageGo to next message
Peter Nehrer is currently offline Peter Nehrer
Messages: 236
Registered: July 2009
Senior Member
Created https://bugs.eclipse.org/391227. Thanks!

On 10/4/12 11:23 PM, Thomas Hallgren wrote:
> Hi Peter,
>
> Yes, please attach this to a bugzilla. It seems like a good solution.
>
> Thanks,
> - thomas
>
> On 2012-10-05 04:08, Peter Nehrer wrote:
>> Would it be possible to add a feature like the attached? Installing
>> this new feature instead of the standard headless
>> subversive support seems to do the trick for me. I can create a
>> bugzilla if there's any interest. Thanks!
>>
>> On 10/4/12 12:55 PM, Henrik Lindberg wrote:
>>> On 2012-04-10 18:48, Thomas Hallgren wrote:
>>>> On 2012-10-04 17:21, Matthew Webber wrote:
>>>>> This problem is not confined to Buckminster Subversive headless. When
>>>>> some of us started using the Eclipse Juno (4.2)
>>>>> IDE, we noticed that Buckminster Subclipse (which we use) requires
>>>>> Subclipse 1.8/SVNKit 1.7, which means it uses a new
>>>>> working copy format (the one used by subversion 1.7). Of course, the
>>>>> svn command line client installed on our machines
>>>>> is 1.6! This means that we canlt use the command line against anything
>>>>> checked out by Buckminster.
>>>>>
>>>>> If you want an svn 1.6-compatible client, the simplest way is to
>>>>> install the Indigo (3.7) rather than the Juno (4.2)
>>>>> flavour of Buckminster. It works ok for us.
>>>>>
>>>>> Matthew
>>>>>
>>>> Makes you wonder though, why the people behind SVN doesn't care about
>>>> backward compatibility. I just took for granted that they did.
>>>>
>>>> Git anyone?
>>>>
>>>> - thomas
>>>>
>>>
>>> SVN kills from the other side of the grave...
>>>
>>> So glad I am no longer using SVN - constant source of pain and grief.
>>>
>>> For the poor souls that still do, can they drop just the buckminster
>>> bundle requiring svnkit17 and install the older SVN support? (My guess
>>> is that won't work, and they are then stuck with an older Buckminster).
>>>
>>> - henrik
>>>
>>
>
Re: Bring back svnkit16! :-) [message #937801 is a reply to message #932927] Tue, 09 October 2012 05:13 Go to previous message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3208
Registered: July 2009
Senior Member
On 2012-10-04 17:21, Matthew Webber wrote:
> This problem is not confined to Buckminster Subversive headless. When some of us started using the Eclipse Juno (4.2)
> IDE, we noticed that Buckminster Subclipse (which we use) requires Subclipse 1.8/SVNKit 1.7,

For Subclipse, we require org.tigris.subversion.subclipse.core which in turn requires 1.8. Subversive handles this
differently and will allow a choice of 1.6 and 1.7 underneath. The best solution in the IDE is therefore probably to use
Subversive when a mixed environment with 1.6 is required.

Buckminster will install fine in a 4.2 IDE with a Subversive installation which in turn uses SVNKit 1.6.

Regards,
Thomas Hallgren
Previous Topic:ANN: svnkit16 brought back!
Next Topic:org.eclipse.core.runtime bundle Problem
Goto Forum:
  


Current Time: Fri Apr 18 04:08:17 EDT 2014

Powered by FUDForum. Page generated in 0.08678 seconds